## glite-lbjp-common-gsoap-plugin 3.1.2

=== Makefile ===
# defaults
top_srcdir=..
builddir=build
top_builddir=${top_srcdir}/${builddir}
stagedir=.
globalprefix=glite
package=gsoap-plugin
version=1.0.0
PREFIX=/opt/glite
prefix=

glite_location=/opt/glite
gsoap_prefix=/opt/gsoap
gsoapxx_prefix?=${gsoap_prefix}

CC=gcc

gsoap_versions_flavours?=${gsoap_default_version}

-include Makefile.inc
-include ../Makefile.inc

top_srcdir2?=${top_srcdir}
include ${top_srcdir2}/project/version.properties

version=${module.version}
gsoap_versions_flavours:=${shell if ! echo ${gsoap_versions_flavours} | grep '\<${gsoap_default_version}\>' >/dev/null; then echo "${gsoap_default_version} "; else echo ''; fi} ${gsoap_versions_flavours}
top_srcdir_l2:=$(shell if echo ${top_srcdir} | grep '^/' >/dev/null; then echo "${top_srcdir}"; else echo "../${top_srcdir}"; fi)

GSPLUGIN_DEBUG?=no
GSPLUGIN_VERSION_CHECKING?=yes
CC=gcc

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
# 

# counted minors: 1.5, 2.1
offset=6
version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

ext_repository:=${shell if [ -d "${repository}/externals" ]; then \
	echo "${repository}/externals"; \
	else echo "${repository}"; \
	fi}

gsoap_version=${gsoap_default_version}
gsoap_prefix?=${ext_repository}/${gsoap_name}/${gsoap_version}/${gsoap_platform}
gsoapxx_prefix?=${gsoap_prefix}
ifdef lang
langflavour:=_${lang}
langsuffix:=.${lang}
endif

VPATH=${top_srcdir2}/src:${top_srcdir2}/test:${top_srcdir2}/examples:${top_srcdir2}/interface:${top_srcdir2}/project

default: all

DEBUG:=-g -O0 -W -Wall -Wno-unused-parameter
# not for globus and gsoap: -Werror
ifeq ($(GSPLUGIN_DEBUG),yes)
	DEBUG:=${DEBUG} -DGSPLUGIN_DEBUG=1
endif
# gsoap logs: -DDEBUG
ifeq ($(GSOAP_DEBUG),yes)
	DEBUG:=${DEBUG} -DDEBUG=1
endif

#ifeq ($(GSPLUGIN_VERSION_CHECKING),yes)
#	DEBUG:=${DEBUG} -DCHECK_GSOAP_VERSION
#endif

gsoaplibdir=$(shell if test -d "${gsoap_prefix}/${libdir}"; then echo "${gsoap_prefix}/${libdir}"; else echo "${gsoap_prefix}/lib"; fi)
gsoapxxlibdir=$(shell if test -d "${gsoapxx_prefix}/${libdir}"; then echo "${gsoapxx_prefix}/${libdir}"; else echo "${gsoapxx_prefix}/lib"; fi)
GSOAP_CFLAGS?=-I${gsoap_prefix}/include
GSOAP_LIBS?=-L${gsoaplibdir} -lgsoap
GSOAPXX_CFLAGS?=-I${gsoapxx_prefix}/include
GSOAPXX_LIBS?=-L${gsoapxxlibdir} -lgsoap++
GSOAP_LIBS_lang:=${GSOAP_LIBS}
ifeq (${lang},c)
GSOAP_CFLAGS_lang:=${GSOAP_CFLAGS}
GSOAP_LIBS_lang:=${GSOAP_LIBS}
endif
ifeq (${lang},cxx)
GSOAP_CFLAGS_lang:=${GSOAPXX_CFLAGS}
GSOAP_LIBS_lang:=${GSOAPXX_LIBS}
endif


CFLAGS:= ${DEBUG} \
	-DVERSION=\"${version}\" \
	-DWITH_NONAMESPACES \
	-I. -I${top_srcdir2}/interface \
	-I${stagedir}${prefix}/include \
	${COVERAGE_FLAGS} -D_GNU_SOURCE -DDATAGRID_EXTENSION ${CFLAGS}

LDFLAGS:=${LDFLAGS} ${COVERAGE_FLAGS}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
COMPILEXX:=libtool --mode=compile ${CXX} ${CFLAGS}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
INSTALL:=libtool --mode=install install
LINK_lang:=PATH=${top_srcdir2}/project/libtoolhack:${PATH} libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
ifeq (${lang},c)
LINK_lang:=${LINK}
endif
ifeq (${lang},cxx)
LINK_lang:=${LINKXX}
endif

EX_NOTHRLIBS:=-L${stagedir}${prefix}/${libdir} -lglite_security_gss_${nothrflavour}
EX_THRLIBS:=-L${stagedir}${prefix}/${libdir} -lglite_security_gss_${thrflavour}
EX_LIBS:=-L${stagedir}${prefix}/${libdir} -lglite_security_gss
HDRS:=glite_gsplugin.h glite_gsplugin-int.h
EXAMPLES:=wscalc_clt_ex wscalc_srv_ex wscalc_srv_ex2
TESTS:=test_cxx

NOTHRSTATICLIB:=libglite_security_gsoap_plugin_${nothrflavour}${langflavour}.a
THRSTATICLIB:=libglite_security_gsoap_plugin_${thrflavour}${langflavour}.a
STATICLIB:=libglite_security_gsoap_plugin${langflavour}.a
NOTHRLTLIB:=libglite_security_gsoap_plugin_${nothrflavour}${langflavour}.la
THRLTLIB:=libglite_security_gsoap_plugin_${thrflavour}${langflavour}.la
LTLIB:=libglite_security_gsoap_plugin${langflavour}.la

OBJS:=${GSS_OBJS} glite_gsplugin${langsuffix}.o
LOBJS:=${OBJS:.o=.lo}
THROBJS:=${OBJS:.o=.thr.o}
THRLOBJS:=${OBJS:.o=.thr.lo}

dotless_ver:=${shell echo ${gsoap_version} | tr -d '.'}
NOTHRSTATICLIB_S:=libglite_security_gsoap_plugin_${dotless_ver}_${nothrflavour}${langflavour}.a
THRSTATICLIB_S:=libglite_security_gsoap_plugin_${dotless_ver}_${thrflavour}${langflavour}.a
STATICLIB_S:=libglite_security_gsoap_plugin_${dotless_ver}${langflavour}.a
NOTHRLTLIB_S:=libglite_security_gsoap_plugin_${dotless_ver}_${nothrflavour}${langflavour}.la
THRLTLIB_S:=libglite_security_gsoap_plugin_${dotless_ver}_${thrflavour}${langflavour}.la
LTLIB_S:=libglite_security_gsoap_plugin_${dotless_ver}${langflavour}.la

ifeq (${thrflavour},)
lib_LTLIBRARIES:=${STATICLIB} ${LTLIB}
lib_LTLIBRARIES_S:=${LTLIB_S}
LTLIB_TEST_S:=libglite_security_gsoap_plugin_${dotless_ver}_cxx.la
default_ltlib_s:=${LTLIB_S}
else
lib_LTLIBRARIES:=${NOTHRSTATICLIB} ${NOTHRLTLIB} ${THRSTATICLIB} ${THRLTLIB}
lib_LTLIBRARIES_S:=${NOTHRLTLIB_S} ${THRLTLIB_S}
LTLIB_TEST_S:=libglite_security_gsoap_plugin_${dotless_ver}_${nothrflavour}_cxx.la
default_ltlib_s:=${NOTHRLTLIB_S}
endif

ifeq (${gsoap_version},${gsoap_default_version})
OBJS_S:=glite_gsplugin${langsuffix}.o
GSOAP_DEFAULT_LIBS:=${GSOAP_LIBS_lang}
GSOAP_DEFAULT_CFLAGS:=${GSOAP_CFLAGS}
GSOAPXX_DEFAULT_CFLAGS:=${GSOAPXX_CFLAGS}
else
OBJS_S:=glite_gsplugin${langsuffix}.o stdsoap2${langsuffix}.o
GSOAP_DEFAULT_LIBS:=
GSOAP_DEFAULT_CFLAGS:=-DWITH_IPV6
GSOAPXX_DEFAULT_CFLAGS:=-DWITH_IPV6
endif
LOBJS_S:=${OBJS_S:.o=.lo}
THROBJS_S:=${OBJS_S:.o=.thr.o}
THRLOBJS_S:=${OBJS_S:.o=.thr.lo}

PKG_CONFIG_FILES=gsoap-plugin.pc gsoap-plugin++.pc

ifeq (${thrflavour},)
${STATICLIB}: ${OBJS}
	ar crv $@ ${OBJS}
	ranlib $@

${LTLIB}: ${OBJS}
	${LINK_lang} ${version_info} -o $@ ${LOBJS} ${EX_LIBS}

${STATICLIB_S}: ${OBJS_S}
	ar crv $@ ${OBJS_S}
	ranlib $@

${LTLIB_S}: ${OBJS_S}
	${LINK_lang} ${version_info} -o $@ ${LOBJS_S} ${EX_LIBS} ${GSOAP_DEFAULT_LIBS}
else
${NOTHRSTATICLIB}: ${OBJS}
	ar crv $@ ${OBJS}
	ranlib $@

${THRSTATICLIB}: ${THROBJS}
	ar crv $@ ${THROBJS}
	ranlib $@

${NOTHRLTLIB}: ${OBJS} 
	${LINK_lang} ${version_info} -o $@ ${LOBJS} ${EX_NOTHRLIBS}

${THRLTLIB}: ${THROBJS}
	${LINK_lang} ${version_info} -o $@ ${THRLOBJS} ${EX_THRLIBS}

${NOTHRSTATICLIB_S}: ${OBJS_S}
	ar crv $@ ${OBJS_S}
	ranlib $@

${THRSTATICLIB_S}: ${THROBJS_S}
	ar crv $@ ${THROBJS_S}
	ranlib $@

${NOTHRLTLIB_S}: ${OBJS_S} 
	${LINK_lang} ${version_info} -o $@ ${LOBJS_S} ${EX_NOTHRLIBS} ${GSOAP_DEFAULT_LIBS}

${THRLTLIB_S}: ${THROBJS_S}
	${LINK_lang} ${version_info} -o $@ ${THRLOBJS_S} ${EX_THRLIBS} ${GSOAP_DEFAULT_LIBS}
endif

all compile: \
	${lib_LTLIBRARIES} \
	all-libs-with-soap examples glite_gscompat.h pkgconfig

check: check.cxx

# C/C++ compatibility test
# (C flavour, gsoap 2.7.10 ==> C++ test fails)
check.cxx:
	${MAKE} lang=cxx -f ${top_srcdir2}/Makefile ${LTLIB_TEST_S} test_cxx
	LD_LIBRARY_PATH=${cares_prefix}/${libdir}:${LD_LIBRARY_PATH} ./test_cxx

examples: ${EXAMPLES}

all-libs-with-soap:
	for v in ${gsoap_versions_noflavours}; do	\
		dir=`echo $$v | tr -d .`; \
		mkdir $$dir; \
		${MAKE} -C $$dir -f ${top_srcdir_l2}/Makefile gsoap_version=$$v top_srcdir2=${top_srcdir_l2} lang= libs-with-soap || exit $?; \
	done
	for v in ${gsoap_versions_flavours}; do	\
		dir=`echo $$v | tr -d .`; \
		mkdir $$dir; \
		${MAKE} -C $$dir -f ${top_srcdir_l2}/Makefile gsoap_version=$$v top_srcdir2=${top_srcdir_l2} lang=c libs-with-soap || exit $?; \
		${MAKE} -C $$dir -f ${top_srcdir_l2}/Makefile gsoap_version=$$v top_srcdir2=${top_srcdir_l2} lang=cxx libs-with-soap || exit $?; \
	done

libs-with-soap: ${lib_LTLIBRARIES_S}

gsoap_srcname=gsoap-`echo ${gsoap_version} | cut -d. -f1,2`

link-gsoap:
	if [ ${gsoap_version} = ${gsoap_default_version} ]; then \
		ln -sf ${gsoap_prefix}/include/stdsoap2.h stdsoap2.h; \
	elif [ -f ${top_srcdir2}/src/stdsoap2_${gsoap_version}.c ]; then \
		ln -sf ${top_srcdir2}/src/stdsoap2_${gsoap_version}.c stdsoap2.c; \
		ln -sf ${top_srcdir2}/src/stdsoap2_${gsoap_version}.h stdsoap2.h; \
	elif [ -f ${ext_repository}/${gsoap_name}/${gsoap_version}/src/stdsoap2.c ]; then \
		ln -sf ${ext_repository}/${gsoap_name}/${gsoap_version}/src/stdsoap2.[ch] .; \
	elif [ -f ${ext_repository}/${gsoap_name}/${gsoap_version}/${gsoap_platform}/stdsoap2.c ]; then \
		ln -sf ${ext_repository}/${gsoap_name}/${gsoap_version}/${gsoap_platform}/stdsoap2.[ch] .; \
	elif [ -f ${ext_repository}/${gsoap_name}/${gsoap_version}/${gsoap_platform}/src/stdsoap2.c ]; then \
		ln -sf ${ext_repository}/${gsoap_name}/${gsoap_version}/${gsoap_platform}/src/stdsoap2.c .; \
		ln -sf ${ext_repository}/${gsoap_name}/${gsoap_version}/${gsoap_platform}/include/stdsoap2.h .; \
	elif [ -f ${ext_repository}/${gsoap_name}/${gsoap_version}/src/stdsoap2.c ]; then \
		ln -sf ${ext_repository}/${gsoap_name}/${gsoap_version}/src/stdsoap2.[ch] .; \
	elif [ -f ${ext_repository}/${gsoap_name}/${gsoap_version}/src/${gsoap_srcname}/soapcpp2/stdsoap2.c ]; then \
		ln -sf ${ext_repository}/${gsoap_name}/${gsoap_version}/src/${gsoap_srcname}/soapcpp2/stdsoap2.[ch] .; \
	else false ; \
	fi

stdsoap2.c stdsoap2.h: link-gsoap

GSOAP_FPREFIX:= GSOAP_

WSCALC_CLT_OBJS = wscalc_clt_ex.o ${GSOAP_FPREFIX}C.o ${GSOAP_FPREFIX}Client.o
WSCALC_SRV_OBJS = wscalc_srv_ex.o ${GSOAP_FPREFIX}C.o ${GSOAP_FPREFIX}Server.o
WSCALC_SRV2_OBJS = wscalc_srv_ex2.o ${GSOAP_FPREFIX}C.o ${GSOAP_FPREFIX}Server.o

wscalc_clt_ex.o wscalc_srv_ex.o wscalc_srv_ex2.o: ${GSOAP_FPREFIX}H.h

wscalc_clt_ex: ${WSCALC_CLT_OBJS} ${default_ltlib_s}
	${LINK_lang} -o $@ ${WSCALC_CLT_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS}

wscalc_srv_ex: ${WSCALC_SRV_OBJS} ${default_ltlib_s}
	${LINK_lang} -o $@ ${WSCALC_SRV_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS}

wscalc_srv_ex2: ${WSCALC_SRV2_OBJS} ${default_ltlib_s}
	${LINK_lang} -o $@ ${WSCALC_SRV2_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS}

test_cxx: test_gsplugin_cxx.o ${GSOAP_FPREFIX}C.cxx.o
	${LINKXX} -o $@ $+ ${LTLIB_TEST_S}

soapcpp:=${shell if [ -x ${gsoap_prefix}/bin/soapcpp2 ]; then \
	echo ${gsoap_prefix}/bin/soapcpp2; \
	else echo ${gsoap_prefix}/soapcpp2; \
	fi}

${GSOAP_FPREFIX}H.h ${GSOAP_FPREFIX}C.c ${GSOAP_FPREFIX}Server.c ${GSOAP_FPREFIX}Client.c ${GSOAP_FPREFIX}ServerLib.c ${GSOAP_FPREFIX}ClientLib.c: calc.h.S
	${soapcpp} -c -p ${GSOAP_FPREFIX} ${top_srcdir2}/examples/calc.h.S

wscalc_clt_ex.o: wscalc_clt_ex.c
	${CC} -c ${CFLAGS} -o $@ $<

sizeof_soap.o: sizeof_soap.c stdsoap2.h
	${COMPILE} ${GSOAP_DEFAULT_CFLAGS} -c $< -o $@

sizeof_soap: sizeof_soap.o
	${LINK} $< -o $@

glite_gscompat.h: glite_gscompat.h.in sizeof_soap
	size=${shell ./sizeof_soap}; \
	sed "s/@sizeof_struct_soap@/$$size/" ${top_srcdir2}/interface/glite_gscompat.h.in > $@

pkgconfig: ${PKG_CONFIG_FILES}

doc:

stage:
	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

install:
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
	${INSTALL} -m 644 ${top_srcdir2}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
	cd ${top_srcdir2}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
	${INSTALL} -m 644 glite_gscompat.h ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
	for v in ${gsoap_versions_noflavours}; do \
		${MAKE} -C `echo $$v | tr -d .` -f ${top_srcdir_l2}/Makefile install-soaplib gsoap_version=$$v lang= PREFIX=${PREFIX} top_srcdir2=${top_srcdir_l2} || exit $?; \
	done
	for v in ${gsoap_versions_flavours}; do \

=== debian/changelog ===
glite-lbjp-common-gsoap-plugin (3.1.2-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:26:27 +0200

=== debian/control ===
Source: glite-lbjp-common-gsoap-plugin
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libc-ares-dev, libcppunit-dev, libglite-lbjp-common-gss-dev, libglobus-gssapi-gsi-dev, gsoap, libtool, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lbjp-common-gsoap-plugin
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plugin for gSoap to use glite-security-gss as the communication layer
 glite-security-gsoap-plugin is plugin for gSoap providing secured communication
 via GSS, as well as strict timing control of all operations via
 glite-security-gss.

Package: libglite-lbjp-common-gsoap-plugin-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-gsoap-plugin, glite-security-gsoap-plugin
Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite gsoap-plugin
 This package contains development libraries and header files for gLite
 gsoap-plugin.

Package: glite-lbjp-common-gsoap-plugin-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), ${misc:Depends}
Description: gLite gsoap-plugin library debugging symbols
 This package contains debugging symbols for gLite gsoap-plugin library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.gsoap-plugin
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -rvf $(CURDIR)/debian/tmp/usr/share
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lbjp-common-gsoap-plugin-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lbjp-common-gsoap-plugin 3.2.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 top_builddir=${top_srcdir}/${builddir}
 stagedir=.
 globalprefix=glite
-package=gsoap-plugin
+package=glite-lbjp-common-gsoap-plugin
 version=1.0.0
 PREFIX=/opt/glite
 prefix=
@@ -15,7 +15,18 @@
 
 CC=gcc
 
+SOURCES=\
+	examples/*.c examples/*.S \
+	interface/*.h interface/*.h.in \
+	project/.post* project/gsoap-plugin*.pc.in project/libtoolhack/gcc \
+	src/*.c \
+	test/*.cpp \
+	LICENSE Makefile
+SOURCES_EXEC=project/libtoolhack/gcc
+
 gsoap_versions_flavours?=${gsoap_default_version}
+
+default: all
 
 -include Makefile.inc
 -include ../Makefile.inc
@@ -59,8 +70,6 @@
 endif
 
 VPATH=${top_srcdir2}/src:${top_srcdir2}/test:${top_srcdir2}/examples:${top_srcdir2}/interface:${top_srcdir2}/project
-
-default: all
 
 DEBUG:=-g -O0 -W -Wall -Wno-unused-parameter
 # not for globus and gsoap: -Werror
@@ -92,13 +101,15 @@
 GSOAP_LIBS_lang:=${GSOAPXX_LIBS}
 endif
 
+GLITE_LBJP_COMMON_GSS_CFLAGS?=`PKG_CONFIG_PATH=$$PKG_CONFIG_PATH:${PREFIX}${prefix}/${libdir}/pkgconfig pkg-config glite-security-gss --cflags`
 
 CFLAGS:= ${DEBUG} \
 	-DVERSION=\"${version}\" \
 	-DWITH_NONAMESPACES \
 	-I. -I${top_srcdir2}/interface \
 	-I${stagedir}${prefix}/include \
-	${COVERAGE_FLAGS} -D_GNU_SOURCE -DDATAGRID_EXTENSION ${CFLAGS}
+	${COVERAGE_FLAGS} -D_GNU_SOURCE -DDATAGRID_EXTENSION \
+	${GLITE_LBJP_COMMON_GSS_CFLAGS} ${CFLAGS}
 
 LDFLAGS:=${LDFLAGS} ${COVERAGE_FLAGS}
 
@@ -323,8 +334,3 @@
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
 	${INSTALL} -m 644 ${top_srcdir2}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	cd ${top_srcdir2}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
-	${INSTALL} -m 644 glite_gscompat.h ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
-	for v in ${gsoap_versions_noflavours}; do \
-		${MAKE} -C `echo $$v | tr -d .` -f ${top_srcdir_l2}/Makefile install-soaplib gsoap_version=$$v lang= PREFIX=${PREFIX} top_srcdir2=${top_srcdir_l2} || exit $?; \
-	done
-	for v in ${gsoap_versions_flavours}; do \

=== debian/changelog ===
glite-lbjp-common-gsoap-plugin (3.2.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,13 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libc-ares-dev, libcppunit-dev, libglite-lbjp-common-gss-dev, libglobus-gssapi-gsi-dev, gsoap, libtool, pkg-config
+Build-Depends: debhelper (>= 7.0.50~), chrpath, libc-ares-dev, libcppunit-dev, libglite-lbjp-common-gss-dev, gsoap, libtool, pkg-config
+# gssapi is needed explicitly for gsoap-plugin, but the proper package is
+# known only in libglite-lbjp-common-gss-dev:
+#  - gssapi from Globus (libglobus-gssapi-gsi-dev)
+#  - gssapi from MIT Kerberos (libkrb5-dev)
+#  - gssapi from Heimdal Kerberos (heimdal-dev)
+#Build-Depends: libglobus-gssapi-gsi-dev
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch
@@ -23,7 +29,7 @@
 Section: libdevel
 Architecture: any
 Provides: glite-lbjp-common-gsoap-plugin, glite-security-gsoap-plugin
-Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), ${misc:Depends}
+Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), libglite-lbjp-common-gss-dev, ${misc:Depends}
 Description: Development files for gLite gsoap-plugin
  This package contains development libraries and header files for gLite
  gsoap-plugin.

## glite-lbjp-common-gsoap-plugin 3.2.7

=== debian/changelog ===
glite-lbjp-common-gsoap-plugin (3.2.7-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:58 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+p_dbg=glite-lbjp-common-gsoap-plugin-dbg
+p_dev=libglite-lbjp-common-gsoap-plugin-dev
+p_lib=libglite-lbjp-common-gsoap-plugin
 
 -include /usr/share/dpkg/buildflags.mk
 
@@ -27,7 +31,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,17 +40,19 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -rvf $(CURDIR)/debian/tmp/usr/share
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -vf debian/tmp/usr/lib/*.la
+	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	mkdir -p debian/$(p_dev)/usr/share/doc
+	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -54,7 +60,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lbjp-common-gsoap-plugin-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lbjp-common-gsoap-plugin 3.2.9

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	project/.post* project/gsoap-plugin*.pc.in project/libtoolhack/gcc \
 	src/*.c \
 	test/*.cpp \
-	LICENSE Makefile
+	Makefile
 SOURCES_EXEC=project/libtoolhack/gcc
 
 gsoap_versions_flavours?=${gsoap_default_version}
@@ -158,11 +158,13 @@
 lib_LTLIBRARIES_S:=${LTLIB_S}
 LTLIB_TEST_S:=libglite_security_gsoap_plugin_${dotless_ver}_cxx.la
 default_ltlib_s:=${LTLIB_S}
+default_libs:=${EX_LIBS}
 else
 lib_LTLIBRARIES:=${NOTHRSTATICLIB} ${NOTHRLTLIB} ${THRSTATICLIB} ${THRLTLIB}
 lib_LTLIBRARIES_S:=${NOTHRLTLIB_S} ${THRLTLIB_S}
 LTLIB_TEST_S:=libglite_security_gsoap_plugin_${dotless_ver}_${nothrflavour}_cxx.la
 default_ltlib_s:=${NOTHRLTLIB_S}
+default_libs:=${EX_NOTHRLIBS}
 endif
 
 ifeq (${gsoap_version},${gsoap_default_version})
@@ -288,16 +290,16 @@
 wscalc_clt_ex.o wscalc_srv_ex.o wscalc_srv_ex2.o: ${GSOAP_FPREFIX}H.h
 
 wscalc_clt_ex: ${WSCALC_CLT_OBJS} ${default_ltlib_s}
-	${LINK_lang} -o $@ ${WSCALC_CLT_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS}
+	${LINK_lang} -o $@ ${WSCALC_CLT_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS} ${default_libs}
 
 wscalc_srv_ex: ${WSCALC_SRV_OBJS} ${default_ltlib_s}
-	${LINK_lang} -o $@ ${WSCALC_SRV_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS}
+	${LINK_lang} -o $@ ${WSCALC_SRV_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS} ${default_libs}
 
 wscalc_srv_ex2: ${WSCALC_SRV2_OBJS} ${default_ltlib_s}
-	${LINK_lang} -o $@ ${WSCALC_SRV2_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS}
+	${LINK_lang} -o $@ ${WSCALC_SRV2_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS} ${default_libs}
 
 test_cxx: test_gsplugin_cxx.o ${GSOAP_FPREFIX}C.cxx.o
-	${LINKXX} -o $@ $+ ${LTLIB_TEST_S}
+	${LINKXX} -o $@ $+ ${LTLIB_TEST_S} ${default_libs} ${GSOAPXX_LIBS}
 
 soapcpp:=${shell if [ -x ${gsoap_prefix}/bin/soapcpp2 ]; then \
 	echo ${gsoap_prefix}/bin/soapcpp2; \
@@ -330,7 +332,6 @@
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
-	${INSTALL} -m 644 ${top_srcdir2}/LICENSE ${DESTDIR}${PREFIX}${prefix}/share/doc/${package}-${version}
 	cd ${top_srcdir2}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
+	${INSTALL} -m 644 glite_gscompat.h ${DESTDIR}${PREFIX}${prefix}/include/glite/security/

=== debian/changelog ===
glite-lbjp-common-gsoap-plugin (3.2.9-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-p_dbg=glite-lbjp-common-gsoap-plugin-dbg
+p_dbg=libglite-lbjp-common-gsoap-plugin-dbg
 p_dev=libglite-lbjp-common-gsoap-plugin-dev
 p_lib=libglite-lbjp-common-gsoap-plugin

## glite-lbjp-common-gsoap-plugin 3.2.10

=== debian/changelog ===
glite-lbjp-common-gsoap-plugin (3.2.10-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:55 +0100

=== debian/control ===
--- 
+++ 
@@ -34,10 +34,10 @@
  This package contains development libraries and header files for gLite
  gsoap-plugin.
 
-Package: glite-lbjp-common-gsoap-plugin-dbg
+Package: libglite-lbjp-common-gsoap-plugin-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), ${misc:Depends}
-Description: gLite gsoap-plugin library debugging symbols
+Description: Debugging symbols for gLite gsoap-plugin library
  This package contains debugging symbols for gLite gsoap-plugin library.

## glite-lbjp-common-gsoap-plugin 3.2.12

=== Makefile ===
--- 
+++ 
@@ -115,21 +115,24 @@
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
 COMPILEXX:=libtool --mode=compile ${CXX} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
-LINKXX:=libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
+LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
-LINK_lang:=PATH=${top_srcdir2}/project/libtoolhack:${PATH} libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
+LINK_lang:=PATH=${top_srcdir2}/project/libtoolhack:${PATH} libtool --mode=link ${CXX} ${LDFLAGS}
+SOLINK_lang:=PATH=${top_srcdir2}/project/libtoolhack:${PATH} libtool --mode=link ${CXX} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS}
 ifeq (${lang},c)
 LINK_lang:=${LINK}
+SOLINK_lang:=${LINK} -rpath ${stagedir}${prefix}/${libdir}
 endif
 ifeq (${lang},cxx)
 LINK_lang:=${LINKXX}
+SOLINK_lang:=${LINKXX} -rpath ${stagedir}${prefix}/${libdir}
 endif
 
 EX_NOTHRLIBS:=-L${stagedir}${prefix}/${libdir} -lglite_security_gss_${nothrflavour}
 EX_THRLIBS:=-L${stagedir}${prefix}/${libdir} -lglite_security_gss_${thrflavour}
 EX_LIBS:=-L${stagedir}${prefix}/${libdir} -lglite_security_gss
-HDRS:=glite_gsplugin.h glite_gsplugin-int.h
+HDRS:=glite_gsplugin.h glite_gsplugin-int.h glite_gscompat.h
 EXAMPLES:=wscalc_clt_ex wscalc_srv_ex wscalc_srv_ex2
 TESTS:=test_cxx
 
@@ -190,14 +193,14 @@
 	ranlib $@
 
 ${LTLIB}: ${OBJS}
-	${LINK_lang} ${version_info} -o $@ ${LOBJS} ${EX_LIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${LOBJS} ${EX_LIBS}
 
 ${STATICLIB_S}: ${OBJS_S}
 	ar crv $@ ${OBJS_S}
 	ranlib $@
 
 ${LTLIB_S}: ${OBJS_S}
-	${LINK_lang} ${version_info} -o $@ ${LOBJS_S} ${EX_LIBS} ${GSOAP_DEFAULT_LIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${LOBJS_S} ${EX_LIBS} ${GSOAP_DEFAULT_LIBS}
 else
 ${NOTHRSTATICLIB}: ${OBJS}
 	ar crv $@ ${OBJS}
@@ -208,10 +211,10 @@
 	ranlib $@
 
 ${NOTHRLTLIB}: ${OBJS} 
-	${LINK_lang} ${version_info} -o $@ ${LOBJS} ${EX_NOTHRLIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${LOBJS} ${EX_NOTHRLIBS}
 
 ${THRLTLIB}: ${THROBJS}
-	${LINK_lang} ${version_info} -o $@ ${THRLOBJS} ${EX_THRLIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${THRLOBJS} ${EX_THRLIBS}
 
 ${NOTHRSTATICLIB_S}: ${OBJS_S}
 	ar crv $@ ${OBJS_S}
@@ -222,15 +225,15 @@
 	ranlib $@
 
 ${NOTHRLTLIB_S}: ${OBJS_S} 
-	${LINK_lang} ${version_info} -o $@ ${LOBJS_S} ${EX_NOTHRLIBS} ${GSOAP_DEFAULT_LIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${LOBJS_S} ${EX_NOTHRLIBS} ${GSOAP_DEFAULT_LIBS}
 
 ${THRLTLIB_S}: ${THROBJS_S}
-	${LINK_lang} ${version_info} -o $@ ${THRLOBJS_S} ${EX_THRLIBS} ${GSOAP_DEFAULT_LIBS}
+	${SOLINK_lang} ${version_info} -o $@ ${THRLOBJS_S} ${EX_THRLIBS} ${GSOAP_DEFAULT_LIBS}
 endif
 
 all compile: \
 	${lib_LTLIBRARIES} \
-	all-libs-with-soap examples glite_gscompat.h pkgconfig
+	all-libs-with-soap examples glite_gsplatform.h pkgconfig
 
 check: check.cxx
 
@@ -287,7 +290,7 @@
 WSCALC_SRV_OBJS = wscalc_srv_ex.o ${GSOAP_FPREFIX}C.o ${GSOAP_FPREFIX}Server.o
 WSCALC_SRV2_OBJS = wscalc_srv_ex2.o ${GSOAP_FPREFIX}C.o ${GSOAP_FPREFIX}Server.o
 
-wscalc_clt_ex.o wscalc_srv_ex.o wscalc_srv_ex2.o: ${GSOAP_FPREFIX}H.h
+wscalc_clt_ex.o wscalc_srv_ex.o wscalc_srv_ex2.o: ${GSOAP_FPREFIX}H.h gsoap.stamp
 
 wscalc_clt_ex: ${WSCALC_CLT_OBJS} ${default_ltlib_s}
 	${LINK_lang} -o $@ ${WSCALC_CLT_OBJS} ${default_ltlib_s} ${GSOAP_DEFAULT_LIBS} ${default_libs}
@@ -306,8 +309,11 @@
 	else echo ${gsoap_prefix}/soapcpp2; \
 	fi}
 
-${GSOAP_FPREFIX}H.h ${GSOAP_FPREFIX}C.c ${GSOAP_FPREFIX}Server.c ${GSOAP_FPREFIX}Client.c ${GSOAP_FPREFIX}ServerLib.c ${GSOAP_FPREFIX}ClientLib.c: calc.h.S
+${GSOAP_FPREFIX}H.h ${GSOAP_FPREFIX}C.c ${GSOAP_FPREFIX}Server.c ${GSOAP_FPREFIX}Client.c ${GSOAP_FPREFIX}ServerLib.c ${GSOAP_FPREFIX}ClientLib.c: gsoap.stamp
+
+gsoap.stamp: calc.h.S
 	${soapcpp} -c -p ${GSOAP_FPREFIX} ${top_srcdir2}/examples/calc.h.S
+	touch $@
 
 wscalc_clt_ex.o: wscalc_clt_ex.c
 	${CC} -c ${CFLAGS} -o $@ $<
@@ -318,9 +324,9 @@
 sizeof_soap: sizeof_soap.o
 	${LINK} $< -o $@
 
-glite_gscompat.h: glite_gscompat.h.in sizeof_soap
+glite_gsplatform.h: glite_gsplatform.h.in sizeof_soap
 	size=${shell ./sizeof_soap}; \
-	sed "s/@sizeof_struct_soap@/$$size/" ${top_srcdir2}/interface/glite_gscompat.h.in > $@
+	sed "s/@sizeof_struct_soap@/$$size/" ${top_srcdir2}/interface/glite_gsplatform.h.in > $@
 
 pkgconfig: ${PKG_CONFIG_FILES}
 
@@ -332,6 +338,3 @@
 install:
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}/pkgconfig
 	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security
-	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
-	cd ${top_srcdir2}/interface && ${INSTALL} -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/glite/security/
-	${INSTALL} -m 644 glite_gscompat.h ${DESTDIR}${PREFIX}${prefix}/include/glite/security/

=== debian/changelog ===
glite-lbjp-common-gsoap-plugin (3.2.12-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:53 +0200

=== debian/control ===
Source: glite-lbjp-common-gsoap-plugin
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libc-ares-dev, libcppunit-dev, libglite-lbjp-common-gss-dev, gsoap, libtool-bin, pkg-config
# gssapi.h is needed explicitly for gsoap-plugin, but the proper package is
# known only in libglite-lbjp-common-gss-dev:
#  - gssapi from Globus (libglobus-gssapi-gsi-dev)
#  - gssapi from MIT Kerberos (libkrb5-dev)
#  - gssapi from Heimdal Kerberos (heimdal-dev)
#Build-Depends: libglobus-gssapi-gsi-dev
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lbjp-common-gsoap-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plugin for gSoap to use glite-security-gss as the communication layer
 glite-security-gsoap-plugin is plugin for gSoap providing secured communication
 via GSS, as well as strict timing control of all operations via
 glite-security-gss.

Package: libglite-lbjp-common-gsoap-plugin-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-gsoap-plugin, glite-security-gsoap-plugin
Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), libglite-lbjp-common-gss-dev, ${misc:Depends}
Description: Development files for gLite gsoap-plugin
 glite-security-gsoap-plugin is plugin for gSoap providing secured communication
 via GSS, as well as strict timing control of all operations via
 glite-security-gss.
 .
 This package contains development libraries and header files for gLite
 gsoap-plugin.

Package: libglite-lbjp-common-gsoap-plugin-dbg
Section: debug
Architecture: any
Depends: libglite-lbjp-common-gsoap-plugin (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite gsoap-plugin library
 glite-security-gsoap-plugin is plugin for gSoap providing secured communication
 via GSS, as well as strict timing control of all operations via
 glite-security-gss.
 .
 This package contains debugging symbols for gLite gsoap-plugin library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-lbjp-common-gsoap-plugin-dbg
p_dev=libglite-lbjp-common-gsoap-plugin-dev
p_lib=libglite-lbjp-common-gsoap-plugin

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.gsoap-plugin/glite-lbjp-common-gsoap-plugin-(.*)\.tar\.gz
